Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class NamedMethodCallModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.rules.model.ClauseModel
                  com.bea.p13n.rules.model.MethodCallModel
                      com.bea.p13n.rules.model.NamedMethodCallModel

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  InstanceMethodModel, StaticMethodModel

    public abstract class NamedMethodCallModel

extends MethodCallModel

A base class for all method call models. This adds supports for a method name.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.p13n.rules.model.MethodCallModel
`MethodCallModel.PropertyRefArgument, MethodCallModel.UnknownArgument, MethodCallModel.VariableArgument`

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary

Fields inherited from class com.bea.p13n.rules.model.MethodCallModel
`LITERAL_NAMESPACE_URI`

Fields inherited from class com.bea.p13n.rules.model.ClauseModel
`clauseType`

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`NamedMethodCallModel()`

Method Summary
`void` | `clearCachedData()` Clear any cached data.
`protected boolean` | `determineIsComplete()` Named method calls are complete if they have a valid method name.
`String` | `getMethodName()` Get the name of the static method on the java class this will invoke.
`protected abstract String` | `getMethodNameFromXmlObject()` Get the method name from the underlying method call XmlObject.
`static boolean` | `isValidMethodName(String str)` Check if the specified str is a valid variable name value.
`void` | `setMethodName(String methodName)` Set the name of the static method on the java class this will invoke.
`protected abstract void` | `setMethodNameToXmlObject(String methodName)` Set the method name to the underlying method call XmlObject.

Methods inherited from class com.bea.p13n.rules.model.MethodCallModel
`convertArgToXmlObject, convertXmlObjectArg, determineArgumentIsComplete, findPropertySetType, getMethodArgumentListFromXmlObject, getMethodArguments, getMethodArgumentsNoCache, removeMethodArgumentListFromXmlObject, setMethodArguments, setParent, unsupportedObjectArg, unsupportedXmlObjectArg`

Methods inherited from class com.bea.p13n.rules.model.ClauseModel
`addBranch, addLiteral, addMethod, addMethodOrOperator, addOperator, addVariable, addVariableBinding, copy, createNewXmlObject, getClauseType, getContainingRuleModel, getCopyXmlObject, initializeNew, isInActions, isInConditions, isValidTypeAlias, isValidVariableName, makeSafeCopy, setXmlObject, toString`

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, fixQName, getApplicationInstanceUri, getChild, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setIsComplete, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedMethodCallModel

    public NamedMethodCallModel()

Method Detail

### clearCachedData

    public void clearCachedData()

  Clear any cached data. Subclasses can override if they have additional cached data.

  Overrides:
    `clearCachedData` in class `MethodCallModel`

### determineIsComplete

    protected boolean determineIsComplete()

  Named method calls are complete if they have a valid method name. Subclasses can override with additional requirements.

  Overrides:
    `determineIsComplete` in class `MethodCallModel`
  See Also
    `MethodCallModel.determineArgumentIsComplete(Object)`

### getMethodName

    public String getMethodName()

  Get the name of the static method on the java class this will invoke.

### getMethodNameFromXmlObject

    protected abstract String getMethodNameFromXmlObject()

  Get the method name from the underlying method call XmlObject.

### setMethodName

    public void setMethodName(String methodName)

  Set the name of the static method on the java class this will invoke.

### setMethodNameToXmlObject

    protected abstract void setMethodNameToXmlObject(String methodName)

  Set the method name to the underlying method call XmlObject.

### isValidMethodName

    public static boolean isValidMethodName(String str)

  Check if the specified str is a valid variable name value. Variable names need to be a letter or underscore, followed by 0 or more letters, numbers, or underscores.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.